Skip to main content
GET
/
v1
/
checkout
/
sessions
/
by-token
/
{token}
Get public session data for the checkout page (no auth required)
curl --request GET \
  --url https://sandbox.api.eqxpay.io/v1/checkout/sessions/by-token/{token} \
  --header 'Authorization: Bearer <token>'
{
  "session_id": "e3d4b5c6-...",
  "market": "MW",
  "amount": 5000,
  "currency": "MWK",
  "status": "active",
  "expires_at": "2023-11-07T05:31:56Z",
  "rails": [
    {
      "code": "mobile_money",
      "name": "Mobile Money",
      "customer_fields": [
        "phone_number"
      ],
      "min_amount": 100,
      "max_amount": 5000000
    }
  ],
  "market_name": "Malawi",
  "description": "Payment for Order #123",
  "merchant_name": "Acme Corp",
  "logo_url": "https://cdn.example.com/logo.png",
  "primary_color": "#FF5733",
  "collection_id": {},
  "collection_status": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

token
string
required

Opaque checkout session token from the checkout URL

Response

session_id
string
required
Example:

"e3d4b5c6-..."

market
string
required
Example:

"MW"

amount
number
required
Example:

5000

currency
string
required
Example:

"MWK"

status
string
required

active | collection_bound | expired | cancelled

Example:

"active"

expires_at
string<date-time>
required
rails
object[]
required
market_name
object
Example:

"Malawi"

description
object
Example:

"Payment for Order #123"

merchant_name
object
Example:

"Acme Corp"

logo_url
object
Example:

"https://cdn.example.com/logo.png"

primary_color
object
Example:

"#FF5733"

collection_id
object
collection_status
object

Current collection status if bound